DNABeast
1 month ago
182
3
Forge

Multiple Forge PHP versions don't reflect in code.

Posted 1 month ago by DNABeast

I've used Forge to install a version of PHP7.3 as CLI on my PHP7.2 server. Then I've got a project that has now been set under meta from php7.2 to 7.3

I've rebooted the server.

Now when I use Tinker and run phpversion() it returns

7.2.25-1+ubuntu16.04.1+deb.sury.org+1

If I try to deploy an app that was running on PHP 7.3 locally the composer.lock info tries to install 7.3 compatible stuff and fails with a 'Not compatible with 7.2' error

Where does each site set its PHP version info and how can I check that it's installed correctly?

Please sign in or create an account to participate in this conversation.